Subject: bug#68559: [PATCH] Improve Python shell completion

From: Eli Zaretskii <[email-masked]>
Date: Thu, 08 Feb 2024 14:13:30 +0200

> Date: Thu, 08 Feb 2024 00:19:55 +0900
> From: kobarity <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,
> 	[email-masked]
> 
> Liu Hui wrote:
> > On Tue, Feb 6, 2024 at 11:12 PM kobarity <[email-masked]> wrote:
> > 
> > > Sorry, I noticed one more thing.  As written in the comments below, it
> > > would be better to use `line-beginning-position' and
> > > `line-end-position' instead of `pos-bol' and `pos-eol'.
> > >
> > > ;; This is a GNU ELPA :core package.  Avoid functionality that is not
> > > ;; compatible with the version of Emacs recorded above.
> > 
> > Thanks for pointing it out! `pos-bol' was used because it can ignore
> > the prompt in `python-shell--get-multiline-input'. Fortunately, I find
> > `pos-bol' and `pos-eol' are available in the compat package since
> > 29.1.1.0, so it should be enough to upgrade the compat version in
> > Package-Requires. I have updated the attached patch.
> 
> I see.  The patch looks good to me.  I appreciate your efforts!

Thanks, I installed it on the master branch.

What about the other patch, one you posted in

  https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68559#46

Does that one need to be installed as well, or is it included in the
one I just installed?